#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  evolution-data-server-3.60.1

- Next

  localsearch-3.11.1

- Up
- Home

# tinysparql-3.11.1

## Introduction to Tinysparql

Tinysparql is a low-footprint RDF triple store with a SPARQL 1.1 interface.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/tinysparql/3.11/tinysparql-3.11.1.tar.xz

- Download MD5 sum: aa793424c64c06b50248969f3e9d553d

- Download size: 2.3 MB

- Estimated disk space required: 61 MB (with tests)

- Estimated build time: 0.4 SBU (with tests)

### Tinysparql Dependencies

#### Required

JSON-GLib-1.10.8 and Vala-0.56.19

#### Recommended

GLib-2.88.0 (with GObject Introspection), ICU-78.3, libsoup-3.6.6, localsearch-3.11.1 (runtime), and PyGObject-3.56.2

#### Optional

asciidoc-10.2.1, Avahi-0.8, Graphviz-14.1.5, bash-completion, and libstemmer

## Installation of Tinysparql

### Warning

If you are upgrading this package from a version that was from when this package was known as Tracker, remove a file that will cause a conflict as the `root` user:

    rm -fv /usr/lib/systemd/user/tracker-xdg-portal-3.service

Fix the location to install the documentation into:

    sed -e "s/'generate'/&, '--no-namespace-dir'/"         \
        -e "/--output-dir/s/@OUTPUT@/&\/tinysparql-3.11.1/" \
        -i docs/reference/meson.build

Install Tinysparql by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D man=false        \
                ..                  &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: meson configure -D debug=true && LC_ALL=C.UTF-8 ninja test. The test suite should be run from a graphical session. One test, test_cli, is known to fail due to the manual pages not being generated, but will pass if "-D man=false" is omitted when configuring the package. One other test, resource, is also known to fail.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D man=false`: This switch prevents the build process from generating man pages. Omit this switch if you have asciidoc-10.2.1 installed and wish to generate and install the man pages.

meson configure -D debug=true: This command enables some debug checks necessary for the test suite. We don't want to enable them for the installed tinysparql libraries and programs, so we run the test suite after installation.

## Contents

Installed Programs: tinysparql
Installed Library: libtinysparql-3.0.so and libtracker-sparql-3.0.so
Installed Directories: /usr/{include,lib}/tinysparql-3.0 and /usr/share/doc/tinysparql-3.11.1 (optional)

### Short Descriptions

tinysparql | is a control program for TinySPARQL databases
`libtinysparql-3.0.so` | contains functions for administering TinySPARQL databases
`libtracker-sparql-3.0.so` | contains resource management and database functions

- Prev

  evolution-data-server-3.60.1

- Next

  localsearch-3.11.1

- Up
- Home